export declare type TipoBulto = {
    COD: string;
    DESCRIP: string;
};
export declare type Articulo = {
    N_LIN: number;
    GAART_COD: string;
    GAART_DESCRIP: string;
    CANTIDAD: number;
};
export declare type Bulto = {
    N_BULTO: number;
    GVPALLETIP_COD: string;
    GVPALLETIP_DESCRIP: string;
    CANTIDAD: number;
    articulos: Articulo[];
};
export declare type LineaPedidoPreparado = {
    N_LIN: number;
    GAART_COD: string;
    GAART_DESCRIP: string;
    GAUBIC_DEF: string;
    C_PREP: number;
    C_PDTE: number;
    C_PDTE2: number;
    C_UNI1: number;
    C_UNI2: number;
    GAART_LOTES_SN: 'S' | 'N';
    GAART_UBIC_SN: 'S' | 'N';
    Detalles: ExistenciasLote[];
};
export declare type ExistenciasLote = {
    GAUBIC_COD: string;
    LOTE: string;
    C_UNI1: number;
    C_UNI2?: number;
};
export declare type DatosLotesUbicaciones = {
    MostrarUbicDefDetLotes: 'S' | 'N';
    PermitirSuperarCantPedido: boolean;
};
export declare type BultoPedidoPreparado = {
    N_BULTO: number;
    GVPALLETIP: TipoBulto;
    GAART_COD: string;
    GAART_DESCRIP: string;
    C_UNI1: number;
    GGPEDLIN_N_LIN: number;
    articulos: {
        N_LIN: number;
        GAART_COD: string;
        GAART_DESCRIP: string;
        CANTIDAD: number;
    }[];
};
export declare type PedidoPreparado = {
    EMPGRUPO_COD: string;
    EMP_COD: string;
    GGPEDTIP_COD: string;
    N_PEDIDO: number;
    GGALBTIP_COD?: string;
    N_ALBARAN?: number;
    F_ALBARAN?: string;
    GGMENVIO_COD: string;
    GGMENVIO_DES: string;
    GGVEHICULO_COD: string;
    GGVEHICULO_DES: string;
    GGMENVIO_PED_COD: string;
    GGMENVIO_PED_DES: string;
    GGVEHICULO_PED_COD: string;
    GGVEHICULO_PED_DES: string;
    Lineas: LineaPedidoPreparado[];
    N_ETIQUETAS: number;
    PESO: number;
    N_BULTOS: number;
    Bultos: BultoPedidoPreparado[];
    N_COPIAS: number;
    DejarPendiente: boolean;
    ImprimirValorado: boolean;
    AlbaranValorado: boolean;
    OPCION_ETIQUETAS: string;
    ImprimirEtiquetas: boolean;
    PermitirSuperarCantPedido: boolean;
};
export declare type Albaran = {
    GGALBTIP_COD: string;
    N_ALBARAN: number;
    F_ALBARAN: string;
    SU_REF_ALB?: string;
    GGESTADO_COD?: string;
};
export declare type RespuestaResumenBultos = {
    N_BULTOS: 0;
    N_ETIQUETAS: 0;
    PESO: 0;
    Opciones: [
        string
    ];
    OpcionPredeterminada: string;
    N_COPIAS: 0;
};
